## meteofrance-api 1.4.0

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx-rtd-theme==3.0.2

## meteofrance-api 1.3.0

=== debian/changelog ===
meteofrance-api (1.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 12:28:10 +0900

meteofrance-api (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077032)

 -- Edward Betts <edward@4angle.com>  Fri, 26 Jul 2024 01:30:55 +0900

=== debian/control ===
Source: meteofrance-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-requests-mock <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/hacf-fr/meteofrance-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api.git

Package: python3-meteofrance-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python client for Météo-France API
 The Python client manages communication with the private Météo-France API used
 by the official mobile applications. It allows users to search for forecast
 locations, fetch daily or hourly weather forecasts, and access rain forecasts
 within the next hour when available. Additionally, it provides weather alerts
 or phenomena for each French department and Andorre, offering both basic
 bulletins and detailed ones with a 24-hour evolution timeline.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=meteofrance-api
export PYBUILD_TEST_ARGS=-k "not test_rain_not_covered and not test_currentphenomenons_with_coastal_bulletin and not test_full_with_coastal_bulletin"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf meteofrance_api.egg-info/

override_dh_auto_test:

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-requests-mock, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/meteofrance-api-$1\.tar\.gz/ \
  https://github.com/hacf-fr/meteofrance-api/tags .*/v?(\d\S+)\.tar\.gz

## meteofrance-api 1.4.0

=== debian/changelog ===
meteofrance-api (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Add python3-pytz and python3-requests to build dependencies.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Ignore tests that require network access.
  * Simplify debian/watch.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Fri, 28 Mar 2025 08:03:16 +0000

=== debian/control ===
Source: meteofrance-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytz <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-mock <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/hacf-fr/meteofrance-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-meteofrance-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python client for Météo-France API
 The Python client manages communication with the private Météo-France API used
 by the official mobile applications. It allows users to search for forecast
 locations, fetch daily or hourly weather forecasts, and access rain forecasts
 within the next hour when available. Additionally, it provides weather alerts
 or phenomena for each French department and Andorre, offering both basic
 bulletins and detailed ones with a 24-hour evolution timeline.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--ignore=tests/test_forecast.py \
	--ignore=tests/test_integrations.py \
	--ignore=tests/test_observation.py \
	--ignore=tests/test_picture_of_the_day.py \
	--ignore=tests/test_place.py \
	-k "not test_rain and not test_rain_not_covered and not test_currentphenomenons_with_coastal_bulletin and not test_full_with_coastal_bulletin and not test_session and not test_fulls and not test_dictionary"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/hacf-fr/meteofrance-api/tags .*/v?(\d\S+)\.tar\.gz

## meteofrance-api 1.5.0

=== docs/requirements.txt ===
furo==2025.12.19
sphinx==9.1.0
myst_parser==5.0.0

=== debian/changelog ===
meteofrance-api (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Feb 2026 10:15:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,8 +14,7 @@
  python3-pytz <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hacf-fr/meteofrance-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/meteofrance-api.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hacf-fr
Project: meteofrance-api
